function y = rownorms(x,p)
%ROWNORMS Norms of matrix rows.
%  Y = ROWNORMS(X) returns the L2-norms of the rows of X as a column
%  vector.
%
%  Y = ROWNORMS(X,p) for p>=0 calculates the Lp-norms.
%
%  See also COLNORMS, NORMROWS, NORMCOLS.

%  Ron Rubinstein
%  Computer Science Department
%  Technion, Haifa 32000 Israel
%  ronrubin@cs
%
%  April 2005


if (nargin < 2)
  p = 2;
end

y = colnorms(x',p)';